com.genesyslab.wfm8.API.service.config850

## Class CfgEnum

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config850.CfgEnum

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgEnum
      extends java.lang.Object
      implements java.io.Serializable

  Enumerator value description (used in Configuration Audit)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmCfgEnumId` Enumerator ID
    `protected java.lang.String` | `wmDescription` Description corresponding to wmValue
    `protected int` | `wmValue` Enumerator value

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgEnum()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmCfgEnumId()` Gets the value of the wmCfgEnumId property.
    `java.lang.String` | `getWmDescription()` Gets the value of the wmDescription property.
    `int` | `getWmValue()` Gets the value of the wmValue property.
    `int` | `hashCode()`
    `void` | `setWmCfgEnumId(int value)` Sets the value of the wmCfgEnumId property.
    `void` | `setWmDescription(java.lang.String value)` Sets the value of the wmDescription property.
    `void` | `setWmValue(int value)` Sets the value of the wmValue property.
    `java.lang.String` | `toString()`
    `CfgEnum` | `withWmCfgEnumId(int value)`
    `CfgEnum` | `withWmDescription(java.lang.String value)`
    `CfgEnum` | `withWmValue(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmCfgEnumId

          protected int wmCfgEnumId

      Enumerator ID

    - #### wmValue

          protected int wmValue

      Enumerator value

    - #### wmDescription

          protected java.lang.String wmDescription

      Description corresponding to wmValue

  - ### Constructor Detail

    - #### CfgEnum

          public CfgEnum()

  - ### Method Detail

    - #### getWmCfgEnumId

          public int getWmCfgEnumId()

      Gets the value of the wmCfgEnumId property.

    - #### setWmCfgEnumId

          public void setWmCfgEnumId(int value)

      Sets the value of the wmCfgEnumId property.

    - #### getWmValue

          public int getWmValue()

      Gets the value of the wmValue property.

    - #### setWmValue

          public void setWmValue(int value)

      Sets the value of the wmValue property.

    - #### getWmDescription

          public java.lang.String getWmDescription()

      Gets the value of the wmDescription property.
      Returns:
        possible object is `String`

    - #### setWmDescription

          public void setWmDescription(java.lang.String value)

      Sets the value of the wmDescription property.
      Parameters:
        `value` - allowed object is `String`

    - #### withWmCfgEnumId

          public CfgEnum withWmCfgEnumId(int value)

    - #### withWmValue

          public CfgEnum withWmValue(int value)

    - #### withWmDescription

          public CfgEnum withWmDescription(java.lang.String value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.